Bug 246106

Summary: devel/boost-all: Update to 1.76.0
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: FreeBSD Office Team <office>
Status: Open ---    
Severity: Affects Only Me CC: daniel.engberg.lists, dewayne, fluffy, lwhsu, pi
Priority: --- Keywords: needs-qa, patch
Version: LatestFlags: bugzilla: maintainer-feedback? (office)
Hardware: Any   
OS: Any   
URL: https://www.boost.org/users/history/version_1_76_0.html
Bug Depends on: 241449    
Bug Blocks:    

Description Jan Beich freebsd_committer 2020-05-01 20:58:50 UTC
See review D24485 for the patch. Each update breaks ABI and sometimes API.
Comment 1 Jan Beich freebsd_committer 2020-07-26 12:29:47 UTC
For some reason, I can't recover from a burnout (not limited to Boost) in order to fix known bustage and hand over for an exp-run to uncover more. Given 1.74.0 is around the corner focusing on 1.73.0 may not be a good idea anymore.
Comment 2 Li-Wen Hsu freebsd_committer 2020-11-06 07:40:25 UTC
*** Bug 250677 has been marked as a duplicate of this bug. ***
Comment 3 Daniel Engberg 2020-12-12 16:58:00 UTC
1.75.0 is out as of December 11th, 2020

Best regards,
Daniel
Comment 4 Dmitry Marakasov freebsd_committer 2021-02-26 13:41:14 UTC
Ping, any progress? I need this (or maybe even 1.75.0) for another port update.
Comment 5 Dmitry Marakasov freebsd_committer 2021-04-11 19:23:16 UTC
Ping?
Comment 6 Kurt Jaeger freebsd_committer 2021-04-17 10:58:35 UTC
Now 1.76.0 is the most recent version:
Comment 7 Dima Panov freebsd_committer 2021-04-17 16:19:48 UTC
Folks, I know about updates but porting it AND test/patch all consumers is not so easy task, please be patient, work in progress.
Comment 8 Dima Panov freebsd_committer 2021-04-20 15:09:24 UTC
Call for testing for Boost-1.76.0!

WIP overlay for boost: https://github.com/fluffykhv/freebsd-ports-boost

Pkg repository for boost: 
https://build.dimapanov.com/packages/130amd64-default/

Pkgs have some languages defaults set:
DEFAULT_VERSIONS+=java=11
DEFAULT_VERSIONS+=lua=5.3
DEFAULT_VERSIONS+=php=7.4
DEFAULT_VERSIONS+=python=3.8
DEFAULT_VERSIONS+=python3=3.8
DEFAULT_VERSIONS+=ruby=2.7

All OPTIONS by default